Installer GNOME 3.12 sur Ubuntu GNOME 14.04 LTS Trusty Tahr (PPA)

Ubuntu GNOME est une variante officielle d’Ubuntu, conçue dans le but de permettre aux utilisateurs de bénéficier à la fois de la base (quoi qu’on en dise) solide que fournit Ubuntu et d’une intégration optimale de GNOME Shell dans cette dernière. C’est la distribution idéale pour ceux d’entre-vous qui aiment Ubuntu, mais qui préfèrent GNOME à Unity en tant qu’environnement de bureau. Si vous suivez l’actualité Linux, vous devez sans doute déjà savoir que la version 14.04 LTS d’Ubuntu Gnome a été publiée récemment, mais que celle-ci embarque la version 3.10 de Gnome. Si vous avez l’âme d’un cascadeur et que l’idée de devoir attendre pour utiliser ou tester GNOME 3.12 vous insupporte, nous allons voir vite fait comment l’installer sur Ubuntu GNOME 14.04 LTS à l’aide d’un PPA dédié.

Avertissement :

Avant de commencer et même si cela paraît évident, je me permet de vous rappeler que l’utilisation d’un PPA n’est pas sans risques, à plus forte raison quand il s’agit d’un environnement de bureau complet. Il est donc fortement conseillé ne ne pas l’utiliser en production et ou, d’effectuer une sauvegarde complète de votre système avant de vous lancer. De même, il est très fortement recommandé de n’utiliser ce PPA que sur Ubuntu GNOME. Dans le cas contraire vous flinguerez Unity pour de bon, ce qui bien entendu serait dommage pour vous, car vous devrez presque à coup sûr formater :)

Ceci étant dit si vous voulez vous lancer, vous pouvez utiliser le PPA suivant, à vos risques et périls si vous n’êtes pas un bidouilleur expérimenté .

Si vous voulez en savoir plus sur Ubuntu GNOME 14.04 LTS, vous pouvez consulter l’annonce de sortie officielle (en). Si vous le souhaitez vous pouvez également en savoir un peu plus sur GNOME 3.12 en consultant ce billet, ou l’annonce de sortie officielle (fr).

Amusez-vous bien.

via




17 Responses

  1. pasenvi 22 avril 2014 / 23 h 21 min

    Ça marche très bien chez moi, avec mon portable j’ai un système bien plus utilisable qu’avec Gnome 3.10.
    Merci.

  2. Jack 21 avril 2014 / 0 h 52 min

    Bonjour ou bonsoir,

    J’ai testé ton ppa…………j’ai plante le système………..et j’ai tout réinstallé………..

    • Noireaude 21 avril 2014 / 18 h 31 min

      R.I.P. Je l’ai dit pourtant, pas en prod et backup avant.

      Il est donc fortement conseillé ne ne pas l’utiliser en production et ou, d’effectuer une sauvegarde complète de votre système avant de vous lancer. De même…

  3. Alex 20 avril 2014 / 22 h 50 min

    J’ai du mal avec cet article. Je sais que tu es un fan de Gnome et je ne le critiquerai pas (j’aime bien Gnome également) mais une LTS est supposée être choisie pour durer.
    Du coup je ne comprends pas vraiment le choix de proposer – en premier article pour aborder la 14.04 – une manipulation risquée et non nécessaire.
    Garder son Gnome 3.10 sur Ubuntu Gnome pendant les 3 ans de support n’est-il pas plus sage?

    • Noireaude 21 avril 2014 / 18 h 20 min

      Tu as le droit de critiquer GNOME, je me prive pas sur certains points.

      Après pour le reste, que dire ? Si on prend tes propos au pied de la lettre effectivement, c’est ridicule et inutile de risquer le plantage pour tester une version GNOME, qui va sans doute très mal passer. Les gens qui installent la 14.04 pour le côté LTS n’ont aucun intérêt à le faire et ne le feront sans doute pas.

      Après ce n’est pas parce que c’est une LTS que tout le monde la télécharge pour la garder 3 ou 5 ans sans rien toucher. Certains n’ont peut-être pas eu le temps de la tester via les versions alpha, beta, ou pour une raison x ou Y, ont envie généralement de tester des paquets instables sur leur distribution (LTS ou non).

      Bref, le caractère LTS ne rend pas cet article meilleur ou plus con qu’un autre, ni plus utile ou inutile. C’est juste un article comme les autres, si ce n’est qu’il est un peu plus dangereux pour ceux qui ne sont pas des testeurs avertis.

      J’ai sans doute fait l’erreur de mettre les commandes dans le billet. L’avertissement était clair, mais j’aurais pu me contenter de ne mettre que le lien de la page Launchpad afin que les gens aient à fouiner avant de se lancer et puisse lire un deuxième avertissement (celui de la page en question).

      • Alex 21 avril 2014 / 22 h 24 min

        Bon, je dois reconnaître que je me suis un peu emballé car effectivement il y a ce qu’il faut d’avertissements dans l’article.
        Disons que j’ai mis 3h à me demander comment formuler ce que je voulais dire, et au final ça a pas rendu vraiment comme j’aurais souhaité.
        Ce que j’aurais dû dire, c’est que c’est dommage de n’aborder la dernière version de la LTS d’Ubuntu que sous le prisme de la mise à jour d’environnement de bureau, qui est une manoeuvre risquée effectivement. A trop vouloir faire l’économie d’une longue argumentation, j’ai été trop vite et j’ai foiré mon propos.

        A vrai dire, j’ai dans l’idée que quand on installe une distribution, on doit avant tout maîtriser son bureau, et Trusty Tahr venant juste de sortir, j’aurais trouvé plus cohérent dans cette optique d’en maîtriser l’utilisation « au déballage » (pour ne pas utiliser l’anglicisme « out of the box »). Mais bon on reproche toujours au gens de ne pas écrire l’article qu’on aurait préféré écrire soi-même alors c’est un point de vue biaisé de facto, j’en suis conscient^^

        Mais effectivement pour les curieux, les cascadeurs, et ceux qui sont plus des « testeurs » que des utilisateurs, cet article et très utilse et instructif.

        • Okki 22 avril 2014 / 7 h 02 min

          J’ai la flemme de fouiller les archives, mais si ce n’est déjà fait, il faudrait rédiger un article qui expliquerai la virtualisation, comment installer et configurer VirtualBox (sans doute la solution la plus simple), et ainsi pouvoir tester sans risque tout ce qui nous passe par la tête. Une nouvelle distribution, un environnement de bureau différent, la mise à jour de son environnement actuel. Et si tout se passe bien, pouvoir le refaire ensuite, sans risque, sur notre environnement principal.

          Puis quand les futurs articles de La vache libre le nécessiteront, il suffira d’inviter les lecteurs à lire ce dernier avant toute chose.

          Enfin, vivement que le système de fichier Btrfs soit considéré comme stable. Avec sa fonctionnalité de snapshot, on pourra créer un instantané de notre système juste avant de se lancer dans l’aventure. Et si ça foire, il suffira de revenir en arrière, d’une simple commande.

          • Noireaude 22 avril 2014 / 20 h 00 min

            +1 pour Btrfs, par contre pour la virtualisation bof. Je ne suis pas un grand spécialiste en la matière et en général ça se passe toujours assez mal quand je me lance :). L’idée est bonne mais je ne connais pas assez Virtualbox pour aborder la partie configuration.

        • Noireaude 22 avril 2014 / 19 h 39 min

          Non j’avais bien saisi ton commentaire et compris ce que tu voulais dire. Il aurait mieux valu en effet un article énumérant les nouveautées, ou expliquant ce qu’il faut ajouter pour en profiter pleinement. Ça aurait été plus logique en effet et i j’avais eu le temps et Ubuntu 14.04 installé je l’aurais sans doute fait. Mais ce n’est pas le cas.

          Je ne peux que faire des articles courts en ce moment et je n’ai pas vraiment envie de l’installer cette LTS, du moins pour l’instant. Je suis donc plus sélectif dans les sujets que j’aborde et j’essaye de ne pas faire ce que tu peux déjà trouver très facilement sur d’autres blogs, sites ou forums. Les articles classiques sur Ubuntu ne sont pas rares et même s’il peuvent assurer de belles stats, ils ne me font plus trop triper.

          Je préfère parler de cascades ou laisser N3mesis nous parler des softs qu’il aime et qu’il utilise. Tu remarqueras d’ailleurs que j’ai (nous) avons pris un virage ces derniers mois et que nous n’abordons plus vraiment de news concernant les distributions elles-mêmes. Le focus est plus sur la mise en avant de nouvelles applications, ou sur des applications connues et que nous aimons.

          Depuis le début c’est ce que je préfère aborder alors quittes à n’avoir pas trop le temps, autant le passer à faire ce qui est plaisant, pour qu’écrire de devienne pas une corvée.

          Cela dit l’étable est ouverte à qui veut l’enrichir. Si des gens veulent couvrir l’actu d’une distribution (mais sérieusement hein), je ne suis pas contre ;)

  4. MrCostaud 20 avril 2014 / 13 h 45 min

    Ayant essayé plusieurs fois d’installer gnome 3.12 sur différentes distrib comme ubuntu 14.04 ou fedora 20, je recommande de ne PAS installer gnome 3.12 pour l’instant. Gnome marche bien ce n’est pas le problème mais plutôt les distributions qui n’ont pas encore les dépendances associées ou de fortes régressions.

    Pour ubuntu trusty il y a déja des régressions avec gnome 3.10 (beaucoup de paquets sont en gnome 3.8 ou 3.6) et gnome session qui est en 3.9.9 n’est pour l’instant pas remplaçable. Vous pourriez en forçant la mettre en 3.11.4 mais c’est très déconseillé, vous auriez beaucoup d’instabilités. Autre fait important, pour ceux qui utilisent SYNAPTIC , ce dernier marche très très mal avec gnome 3.12. Je ne sais pas d’ou ça vient mais il ne se lance pas ou utilise le cpu à 100%.

    Donc pour faire simple, n’installez pas pour l’instant gnome 3.12 sur ubuntu (même ubuntu-gnome) et attendez que tout soit réglé avec la 3.12.1

    à bon entendeur salut

    • Noireaude 20 avril 2014 / 18 h 05 min

      Très juste. D’ailleurs je viens d’éditer le post et de laisser uniquement le lien vers la page Launchpad, pour éviter les copier/coller sur un coup de tête.

  5. Gilles 20 avril 2014 / 1 h 58 min

    Pour les questions de savoir quel PPA installer :
    1) Si vous ne savez pas quoi installer, et c’est valable pour tous les PPA, n’installez pas…

    2) Pour installer Gnome en version plus récente que la version par défaut de Ubuntu Gnome Edition (Trusty vient avec la 3.10, donc pour installer la 3.12), faut installer le PPA bnome-team/gnome3 picétou

    3) gnome3-next : du Gnome 3.12 pas trop stables pour passer en gnome3 « normal »
    4) gnome3-staging : du « expérimental » bien buggué souvent

    5) pour installer « staging », faut aussi installer les 2 autres (« gnome3″ et « next »), pour « next » seulement, faut « gnome3″ avant.

    Voilà :)

  6. noireaude 19 avril 2014 / 22 h 51 min

    Plop.

    Question 1 : Personnellement j’aurais en effet désinstallé les autres PPA avant d’installer celui indiqué dans le billet, qui je le rappelle au passage, n’est valable (à ma connaissance) que sur Ubuntu « Gnome ». Si tu l’as installé sur une Ubuntu classique (entends par là avec Unity) il bousille ce dernier et sans doute l’accès à ta session.

    NB : Je ne suis plus sûr et pas un grand spécialiste en la matière, mais il me semble qu’il se bagarre avec MDM.

    Question 2 : Oui, sur Manjaro, que tu devrais installer en multiboot si tu veux tester ce genre de trucs via les dépôts, où en général ça débarque assez vite.

    Question 3 : Je sèche, mais d’autres passeront peut-être compléter ma réponse.

    • Yoannjap 19 avril 2014 / 23 h 24 min

      Merci pour ta réponse Noireaude !
      Je suis bien sur Ubuntu Gnome. pas sous Unity, pas sous Mint ou Manjaro.

      Je n’ai pas MDM d’installé.

      Donc, j’insiste, il vaut mieux (ou il faut) que je désinstalle ppa:gnome3-team/gnome3 et ppa:gnome3-team/gnome3-next, puis que j’installe (seulement) ppa:gnome3-team/gnome3-staging sous Gnome 3.10, puis faire un upgrade, puis redémarrer ?
      Sinon, penses-tu que sous 14.04 LTS, l’équipe Gnome transvasera un jour son Gnome 3.12 dans sa PPA gnome3 team (première que j’ai citée) ?
      Merci encore, et surtout pour ce site web qui est une vraie pépite, d’articles en articles que je suis en RSS !

    • Yoannjap 19 avril 2014 / 23 h 56 min

      Je viens de réessayer d’installer gnome 3.12 en désinstallant d’abord les autres ppa puis en ajoutant celle de staging, mais rien à faire, à la fin de l’upgrade, mon terminal indique :

      Des erreurs ont été rencontrées pendant l’exécution :
      /var/cache/apt/archives/gnome-session_3.11.4-0ubuntu1~trusty2_all.deb
      E: Sub-process /usr/bin/dpkg returned an error code (1)

      • Noireaude 20 avril 2014 / 18 h 07 min

        Désolé mais pour être franc je sèche un peu là et je suis désolé que tu ais planté ta session. Il faudrait que tu poses la question sur les forums Ubuntu pour voir ce qu’ils en pensent. Peut-être que certains ont eu le même problème et pourront te rencarder.

  7. Yoannjap 19 avril 2014 / 22 h 32 min

    Merci pour cet article, que j’attendais impatiemment.
    Trop pour m’être retenu de tenter par moi-même avant-hier.
    Mais, j’ai besoin d’aide :
    Je l’avais installé exactement tel qu’indiqué ici. Mais Un problème faisait que le paquet « gnome-session » ne s’installe pas à cause d’une dépendance ou de je ne sais quel problème. Du coup, je chargeais Ubuntu, je me logais, maust Gnome 3.12 ne se chargeait… pas !
    Alors mes question :
    1. Doit-on, avant d’installer la PPA gnome3-staging, désinstaller celle de gnome3-team, et celle de gnome3-next ??
    2. Sinon, comment diable installer gnome 3.12 sans soucis ??
    3. Quelqu’un sait comment mettre à jour (sur Gnome 3.10) le paquet « Gnome-control-center » (qui, chez moi, est en version 3.6), car je n’ai pas accès aux paramètre ‘priacy’ ?

    Merci infiniment pour l’aide future ;) !

    PS : je conseille fortement un sudo ppa-purge -i ppa:gnome3-team/gnome3-staging pour revenir à Gnome 3.10 (sinon, c’est à vos risques et périls que la PPA soit supprimée, mais pas ses paquets)…

Comments are closed.